# eric4.Project.ProjectOthersBrowser

Module implementing a class used to display the parts of the project, that don't fit the other categories.

### Classes

ProjectOthersBrowser | A class used to display the parts of the project, that don't fit the other categories.

### Functions

None

## ProjectOthersBrowser

A class used to display the parts of the project, that don't fit the other categories.

#### Signals

closeSourceWindow(string)
  emitted after a file has been removed/deleted from the project
pixmapFile(string)
  emitted to open a pixmap file
sourceFile(string)
  emitted to open a file

### Derived from

ProjectBaseBrowser

### Methods

ProjectOthersBrowser | Constructor
__deleteItem | Private method to delete the selected entry from the OTHERS project data area.
__refreshItem | Private slot to refresh (repopulate) an item.
__removeItem | Private slot to remove the selected entry from the OTHERS project data area.
__showPopupMenu | Private slot called by the menu aboutToShow signal.
__showPopupMenuMulti | Private slot called by the multiMenu aboutToShow signal.
_createPopupMenus | Protected overloaded method to generate the popup menu.
_openItem | Protected slot to handle the open popup menu entry.
_showContextMenu | Protected slot to show the context menu.
_showPopupMenu | Protected slot called before the context menu is shown.

#### ProjectOthersBrowser (Constructor)

ProjectOthersBrowser(project, parent=None)

Constructor

project
  reference to the project object
parent
  parent widget of this browser (QWidget)

#### ProjectOthersBrowser.__deleteItem

__deleteItem()

Private method to delete the selected entry from the OTHERS project data area.

#### ProjectOthersBrowser.__refreshItem

__refreshItem()

Private slot to refresh (repopulate) an item.

#### ProjectOthersBrowser.__removeItem

__removeItem()

Private slot to remove the selected entry from the OTHERS project data area.

#### ProjectOthersBrowser.__showPopupMenu

__showPopupMenu()

Private slot called by the menu aboutToShow signal.

#### ProjectOthersBrowser.__showPopupMenuMulti

__showPopupMenuMulti()

Private slot called by the multiMenu aboutToShow signal.

#### ProjectOthersBrowser._createPopupMenus

_createPopupMenus()

Protected overloaded method to generate the popup menu.

#### ProjectOthersBrowser._openItem

_openItem()

Protected slot to handle the open popup menu entry.

#### ProjectOthersBrowser._showContextMenu

_showContextMenu(coord)

Protected slot to show the context menu.

coord
  the position of the mouse pointer (QPoint)

#### ProjectOthersBrowser._showPopupMenu

_showPopupMenu(menu)

Protected slot called before the context menu is shown.

It enables/disables the VCS menu entries depending on the overall VCS status and the file status.

menu
  Reference to the popup menu (QPopupMenu)

Up